com.holonplatform.jdbc.internal

## Class DefaultBasicDataSource.DefaultBuilder

- java.lang.Object
- - com.holonplatform.jdbc.internal.DefaultBasicDataSource.DefaultBuilder

- All Implemented Interfaces:
    BasicDataSource.Builder
  Enclosing class:
    DefaultBasicDataSource

      public static class DefaultBasicDataSource.DefaultBuilder
      extends Object
      implements BasicDataSource.Builder

  Default `Builder` implementation.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultBuilder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BasicDataSource` | `build()` Build and return the configured `BasicDataSource` instance.
    `BasicDataSource.Builder` | `connectionProperties(Properties connectionProperties)` Specify arbitrary connection properties as key/value pairs to be passed to the JDBC Driver.
    `BasicDataSource.Builder` | `driverClass(Class<? extends Driver> driverClass)` Set the JDBC Driver class to use.
    `BasicDataSource.Builder` | `driverClassName(String driverClassName)` Set JDBC Driver class name to use.
    `BasicDataSource.Builder` | `password(String password)` Set the JDBC connection password.
    `BasicDataSource.Builder` | `url(String url)` Set the JDBC connection url
    `BasicDataSource.Builder` | `username(String username)` Set the JDBC connection username.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.holonplatform.jdbc.BasicDataSource.Builder

      `database`

- - ### Constructor Detail

    - #### DefaultBuilder

          public DefaultBuilder()

  - ### Method Detail

    - #### url

          public BasicDataSource.Builder url(String url)

      Description copied from interface: `BasicDataSource.Builder`
      Set the JDBC connection url
      Specified by:
        `url` in interface `BasicDataSource.Builder`
      Parameters:
        `url` - the JDBC connection URL (not null)
      Returns:
        this

    - #### username

          public BasicDataSource.Builder username(String username)

      Description copied from interface: `BasicDataSource.Builder`
      Set the JDBC connection username.
      Specified by:
        `username` in interface `BasicDataSource.Builder`
      Parameters:
        `username` - the JDBC connection username
      Returns:
        this

    - #### password

          public BasicDataSource.Builder password(String password)

      Description copied from interface: `BasicDataSource.Builder`
      Set the JDBC connection password.
      Specified by:
        `password` in interface `BasicDataSource.Builder`
      Parameters:
        `password` - the JDBC connection password
      Returns:
        this

    - #### driverClassName

          public BasicDataSource.Builder driverClassName(String driverClassName)

      Description copied from interface: `BasicDataSource.Builder`
      Set JDBC Driver class name to use.
      Specified by:
        `driverClassName` in interface `BasicDataSource.Builder`
      Parameters:
        `driverClassName` - the JDBC Driver class name (not null)
      Returns:
        this
      See Also:
        `BasicDataSource.Builder.driverClass(Class)`

    - #### driverClass

          public BasicDataSource.Builder driverClass(Class<? extends Driver> driverClass)

      Description copied from interface: `BasicDataSource.Builder`
      Set the JDBC Driver class to use.
      Specified by:
        `driverClass` in interface `BasicDataSource.Builder`
      Parameters:
        `driverClass` - the JDBC Driver class (not null)
      Returns:
        this
      See Also:
        `BasicDataSource.Builder.driverClassName(String)`

    - #### connectionProperties

          public BasicDataSource.Builder connectionProperties(Properties connectionProperties)

      Description copied from interface: `BasicDataSource.Builder`
      Specify arbitrary connection properties as key/value pairs to be passed to the JDBC Driver.
      Specified by:
        `connectionProperties` in interface `BasicDataSource.Builder`
      Parameters:
        `connectionProperties` - Connection properties
      Returns:
        this

    - #### build

          public BasicDataSource build()

      Description copied from interface: `BasicDataSource.Builder`
      Build and return the configured `BasicDataSource` instance.
      Specified by:
        `build` in interface `BasicDataSource.Builder`
      Returns:
        the `BasicDataSource` instance

Copyright © 2019 The Holon Platform. All rights reserved.